curl --request POST \
--url https://api.fabric.inc/v3/shipping-methods/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-channel-id: <x-fabric-channel-id>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"filters": [
{
"condition": "EQ",
"field": "shippingMethod.addressType",
"value": "APO"
},
{
"condition": "IN",
"field": "shippingMethod.maximumDays",
"values": [
10,
20
]
}
],
"sort": "-shippingMethod.createdAt"
}
'import requests
url = "https://api.fabric.inc/v3/shipping-methods/search"
payload = {
"filters": [
{
"condition": "EQ",
"field": "shippingMethod.addressType",
"value": "APO"
},
{
"condition": "IN",
"field": "shippingMethod.maximumDays",
"values": [10, 20]
}
],
"sort": "-shippingMethod.createdAt"
}
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"x-fabric-channel-id": "<x-fabric-channel-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
'x-fabric-channel-id': '<x-fabric-channel-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
filters: [
{condition: 'EQ', field: 'shippingMethod.addressType', value: 'APO'},
{condition: 'IN', field: 'shippingMethod.maximumDays', values: [10, 20]}
],
sort: '-shippingMethod.createdAt'
})
};
fetch('https://api.fabric.inc/v3/shipping-methods/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"code": "SDD",
"name": "Express Delivery",
"addressType": "APO",
"attributes": {
"carrier": "FedEx",
"type": "Next Day"
},
"carrier": "FedEx",
"cartValue": {
"max": 3.1,
"min": 2.1
},
"channelId": "12",
"configuredBy": "User3",
"cost": 20.5,
"createdAt": "2022-08-01T20:03:28.483Z",
"createdBy": "User1",
"currency": "USD",
"cutoffTime": 1330,
"description": "Express Delivery 2 - 5 days",
"dimension": {
"max": {
"height": 2.4,
"length": 4.6,
"uom": "EA",
"width": 3.5
},
"min": {
"height": 2.4,
"length": 4.6,
"uom": "EA",
"width": 3.5
}
},
"isDeleted": false,
"maximumDays": 5,
"minimumDays": 2,
"region": "CA",
"shippingMethodId": "5349b4ddd2781d08c09890f4",
"taxCode": "FR01",
"updatedAt": "2022-08-01T20:03:28.483Z",
"updatedBy": "User2",
"weight": {
"max": 3.1,
"min": 2.1
}
}
],
"pagination": {
"count": 1000,
"limit": 10,
"offset": 1
},
"stats": [
"<string>"
]
}{
"errors": [
{
"message": "Invalid request",
"type": "CLIENT_ERROR"
}
],
"message": "Bad request",
"type": "CLIENT_ERROR"
}{
"message": "Unauthorized request",
"type": "CLIENT_ERROR"
}{
"message": "Internal server error",
"type": "SERVER_ERROR"
}Find shipping methods
At checkout, customers choose their preferred shipping method based on delivery timelines and costs. Moreover, it may be necessary for you to review available shipping methods to ensure they’re current and accurate. To support these scenarios, you must get the latest shipping methods.
This endpoint gets shipping methods based on given filter conditions.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
x-fabric-channel-id identifies the sales channel where the API request is being made; primarily for multichannel use cases. The channel ids are 12 corresponding to US and 13 corresponding to Canada. The default channel id is 12. This field is required.
Unique request ID
Query Parameters
Number of records to skip before returning all records. For example, offset=20, limit=10 returns records 21-30.
0
Maximum number of records per page
1 <= x <= 10010
Body
Search criteria
50Criteria to find shipments by a single value. Condition between field and value is anything except IN and NIN when valueSearchFilter is used.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
Show child attributes
Show child attributes
Field or property name to sort the results. + represents ascending and - represents descending order of sorting
(^[+-]shippingMethod\.[a-zA-Z.\-_]*)(,([+-]shippingMethod\.[a-zA-Z.\-_]*)){0,}"+shippingMethod.createdAt"
Was this page helpful?
